Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156063 - OpenLDAP crash when dereferring
Summary: OpenLDAP crash when dereferring
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Safranek
QA Contact:
URL:
Whiteboard:
: 145880 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-27 09:13 UTC by Alfred Glanzer
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: openldap-2.3.30-2.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-24 13:19:24 UTC


Attachments (Terms of Use)

Description Alfred Glanzer 2005-04-27 09:13:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.3) Gecko/20040910

Description of problem:
OpenLDAP crashed when performing search with dereferring set to always. This happens when searching three or more times (e.g ldapsearch -x -u -a always -b 'example.com' 'uid=foo').

The error:
*** glibc detected *** double free or corrupted (fasttop): 0x093e2558

Version-Release number of selected component (if applicable):
OpenLDAP 2.2.23-4

How reproducible:
Always

Steps to Reproduce:
1.start ldap
2.three times "ldapsearch"
3.crash
  

Additional info:

glibc-2.3.5-1
Same happens with OpenLDAP 2.2.24 and 2.2.25.
No dereferrals defined, but many programs use dereferring by default!

Comment 1 Jan Safranek 2007-05-24 13:19:24 UTC
Please try current openldap-2.3.30-2.fc6 - the issue should be fixed there.

Comment 2 Jan Safranek 2007-05-24 14:04:16 UTC
*** Bug 145880 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.